/**********************************/
/*   UC2011                       */
/*   style.css                    */
/*   Petri Salmela                */
/**********************************/

/*** get some webfonts from Google ***/
@import url(http://fonts.googleapis.com/css?family=Josefin+Sans+Std+Light);

html {
    background-color: black;
    padding: 0;
}

body {
    background: white url(../images/bg-gradient.png) left top repeat-x;
    margin: 0;
    border-top: 1px solid white;
}

body#uc2011-welcome #menu a[href="./"],
body#uc2011-about #menu a[href="./about.html"],
body#uc2011-dates #menu a[href="./dates.html"],
body#uc2011-committees #menu a[href="./committees.html"],
body#uc2011-invited #menu a[href="./invited.html"],
body#uc2011-tutorials #menu a[href="./tutorials.html"],
body#uc2011-workshops #menu a[href="./workshops.html"],
body#uc2011-fp7 #menu a[href="./fp7.html"],
body#uc2011-photos #menu a[href="./photos.html"],
body#uc2011-timetable #menu a[href="./timetable.html"],
body#uc2011-call #menu a[href="./call.html"],
body#uc2011-accepted #menu a[href="./accepted.html"],
body#uc2011-submission #menu a[href="./submission.html"],
body#uc2011-registration #menu a[href="./registration.html"],
body#uc2011-otherevents #menu a[href="./otherevents.html"],
body#uc2011-info #menu a[href="./info.html"],
body#uc2011-weather #menu a[href="./weather.html"],
body#uc2011-Venue #menu a[href="./venue.html"],
body#uc2011-travel #menu a[href="./travel.html"],
body#uc2011-accommodation #menu a[href="./hotels.html"],
body#uc2011-contact #menu a[href="./contact.html"]
{
    text-decoration: underline;
    text-shadow: red 0 0 1px;
}


/*** main *************************/
#main {
    max-width: 800px;
    min-height: 600px;
}

/*** header ***********************/
#header {
    text-align: center;
    margin-left: 150px;
}

#header h1 span {
    display: none;
}

#header h1 {
    width: 719px;
    height: 89px;
    background: transparent url(../images/uc2011-logo.png) left top no-repeat;
    margin: 0.5em auto;
    padding-bottom: 5px;
    border-bottom: 3px solid black;
}

#header h1,
#header h2,
#header h3 {
    font-family: 'Josefin Sans Std Light', arial, sans-serif;
    text-shadow: red 0 0 12px;
}

#header h2 {
    font-size: 190%;
    margin: 0;
}

#header h3 {
    font-size: 170%;
    margin: 0;
}


/*** menu *************************/
#menu {
    position: absolute;
    left: 30px;
    width: 200px;
    margin-top: -110px;
}

#menu h1 {
    font-family: sans-serif;
    font-size: 22px;
    color: white;
    background: black url(../images/black-strip.png) left top repeat-x;
    margin: 0;
    padding-left: 1em;
    min-height: 30px;
    border-radius: 10px 10px 0 0;
    -moz-border-radius: 10px 10px 0 0;
    -webkit-border-radius: 10px 10px 0 0;
    text-shadow: white 0 0 5px;
}

#menu ul {
    background-color: white;
    margin: 0;
    padding: 5px 0;
    border-left: 2px solid black;
    border-right: 2px solid black;
}

#menu ul li {
    list-style: none;
    margin: 0;
    padding: 0;
}

#menu div#menubottom {
    height: 30px;
    background: white url(../images/black-strip.png) left bottom repeat-x;
    border-radius: 0 0 10px 10px;
    -moz-border-radius: 0 0 10px 10px;
    -webkit-border-radius: 0 0 10px 10px;
}

#menu ul li a {
    display: block;
    padding: 0.3em 1em;
    color: black;
    text-decoration: none;
    font-weight: bold;
    font-family: sans-serif;
}

#menu ul li a:hover {
    color: white;
    background-color: #333;
}

#menu #menutop-dec {
    height: 78px;
    background: transparent url(../images/menutop.png) center top no-repeat;
}

#menu #menubottom-dec {
    height: 100px;
    background: transparent url(../images/menubottom.png) center top no-repeat;
}

/*** content **********************/
#content {
    margin: 0 0 0 250px;
/*     max-width: 40em; */
    text-align: justify;
}

#content h1 {
    font-family: 'Josefin Sans Std Light', arial, sans-serif;
    border-bottom: 3px solid black;
    text-shadow: #abc837 2px 2px 2px;
    clear: right;
}

#content h2 {
    font-family: 'Josefin Sans Std Light', arial, sans-serif;
    border-bottom: 3px solid #abc837;
    text-shadow: #abc837 2px 2px 2px;
    clear: right;
}

#content h1+p {
    padding-top: 55px;
    margin-top: -50px;
    background: transparent url(../images/decoration-h1.png) right top no-repeat;
}

#content h2+p {
    padding-top: 45px;
    margin-top: -40px;
    background: transparent url(../images/decoration-h2.png) right top no-repeat;
}

#content img {
    float: right;
    clear: right;
    padding: 5px;
    margin: 1em;
    margin-right: -6em;
    border: 2px solid black;
    border-radius: 5px;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    box-shadow: 7px 7px 7px #555;
    -moz-box-shadow: 7px 7px 7px #555;
    -webkit-box-shadow: 7px 7px 7px #555;
}

#content img.hg180 {
    float: none;
    margin: 1em 0.4em;
    height: 180px;
    width: auto;
}

#content p.center {
    text-align: center;
}

#content ul.uclist {
    border-top: 2px solid #abc837;
    border-bottom: 2px solid #abc837;
/*     background: transparent url(../images/decoration-h2.png) right 10px no-repeat; */
}

a:link {
    color: red;
}

a:visited {
    color: #800;
}

a:hover {
    color: #54631B;
}

/*** content - tables *****************************/
#content table.uc2011,
#content table.schedule {
    border-collapse: collapse;
    border-spacing: 0;
    margin: 1em;
    text-align: left;
/*     width: 97%; */
    border: 2px solid black;
    background-color: white;
    border-radius: 3px;
    -moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    box-shadow: 0px 0px 3px #555;
    -moz-box-shadow: 7px 7px 15px #555;
    -webkit-box-shadow: 0px 0px 3px #555;
}

#content table.fees {
    margin:  0.4em auto 1em auto;
}

table.uc2011.schedule {
    width: 90%;
    margin: 1em auto;
}

table.schedule th.sched_day,
table.uc2011 th {
    font-size: 120%;
    color: white;
    text-shadow: white 0 0 6px;
/*    background-color: #abc837;
    background-color: #d40000;
    background-color: black;*/
/*     border-top: 1px solid #aaa; */
/*     border-left: 1px solid #aaa; */
/*     border-right: 1px solid #aaa; */
}

table.schedule th,
table.schedule td {
    padding: 0.5em;
    vertical-align: top;
/*     background-color: white; */
}

table.schedule th {
/*     border-left: 1px solid #aaa; */
/*     border-right: 1px solid #aaa; */
}

table.uc2011 th {
    font-size: 100%;
    text-align: center;
    padding: 0.4em 0.2em;
    margin: 0;
}

table.uc2011.schedule td,
table.uc2011.schedule th {
    font-size: 100%;
    text-align: center;
    padding: 0.4em 0;
}

table.uc2011.schedule td {
    padding: 0.4em 0.2em;
}

table.uc2011.schedule thead tr+tr {
    background-image: none;
    background-color: white;
}

table.uc2011 thead tr:first-child {
    background: black url(../images/black-strip.png) left top repeat-x;
}

table.uc2011.schedule thead tr+tr th {
    color: black;
}

table.hotels td {
    font-weight: bold;
    padding: 0.6em 0.4em;
    min-width: 3em;
}

table.fees th {
    padding: 0.4em 0.6em;
}

table.fees td {
    font-weight: bold;
    padding: 0.4em 0.6em;
    text-align: center;
}

table.hotels td.roomtype,
table.hotels td.roomprice {
    text-align: center;
    white-space: nowrap;
}

table.hotels td.roomtype {
}

table.hotels td.roomprice {
}

/* table.schedule th.sched_time, */
#content table.schedule td.sched_time {
    width: 5em;
}

table.uc2011 td,
table.schedule td {
    border: 1px solid #aaa;
}

/*
table.schedule td+td {
    min-width: 8em;
}
*/

table.schedule td a {
    color: black;
    font-weight: bold;
}

table.schedule strong {
    font-weight: normal;
    font-style: italic;
}

table.schedule td.sched_common {
    background-color: #fff5bf;
}

table.schedule td.sched_invited {
    background-color: #f7ac66;
}

table.schedule td.sched_track1 {
    min-width: 14em;
    background-color: #f0c8c8;
}

table.schedule td.sched_track2 {
    min-width: 6em;
    background-color: #de8;
}

table.schedule td.sched_track4 {
    min-width: 6em;
    background-color: #d9e6f1;
}

table.schedule td.sched_track5 {
    min-width: 6em;
    background-color: #cfb1ca;
}

table.schedule td.sched_track3 {
    min-width: 6em;
    background-color: #f4f178;
}


table.schedule tr:nth-child(odd) {
    background-color: #F6FFC6;
    background-color: #fff5bf;
}

table.schedule tr:nth-child(even) {
    background-color: white;
}

table.hotels tbody tr:nth-child(4n+1),
table.hotels tbody tr:nth-child(4n+2) {
    background-color: #f4d9d9;
    background-color: #f9eaea;
    background-color: #D6E59B;
    background-color: #fff5bf;
}

table.hotels tbody tr:nth-child(4n+3),
table.hotels tbody tr:nth-child(4n) {
    background-color: #de8;
    background-color: white;
}

table.fees tbody tr:nth-child(2n+1) {
    background-color: #fff5bf;
    background-color: #ffc0cb;
}

table.fees tbody tr:nth-child(2n) {
    background-color: white;
    background-color: #bce954;
}

#content table.fees {
    border: none;
    border-collapse: separate;
    box-shadow: none;
    -moz-box-shadow: none;
    -webkit-box-shadow: none;
}

table.fees thead tr {
    background: transparent;
}

table.fees thead th {
    color: white;
}

table.fees tbody td {
    border: none;
    min-width: 5em;
}


/*** content linkbox ******************************/
#content div.linkbox {
    float: right;
    margin: 0.5em 0 0.5em 1em;
    width: 20em;
    border: 4px ridge black;
}

#content div.linkbox h5 {
    margin: 0;
    background-color: #bce954;
/*     background: black url(../images/black-strip.png) left top repeat-x; */
    color: white;
    color: black;
    font-size: 100%;
    text-align: left;
    padding: 0.5em;
}

#content div.linkbox ul {
    margin: 0.5em;
    padding: 0.5em 0.3em 0.5em 1em;
}


/*** bottom-decoration ****************************/
#bottom-decoration {
    margin: 0;
    height: 150px;
    background: transparent url(../images/turku-view.png) 70px bottom repeat-x;
    clear: both;
}

/*** footer ****************************/
#footer {
    margin: none;
    padding: 1em;
    background-color: black;
    color: white;
}

#footer a {
    color: white;
    text-decoration: none;
}

#footer img {
    border: none;
}

#footer img.turku2011 {
    margin-left: 10em;
    padding: 8px;
    border-radius: 5px;
    -moz-border-radius: 5px;
    -webkit-border-radius: 5px;
    background-color: white;
}

.absbox {margin-left:1cm; margin: 0 1cm .2cm .3cm; padding-left:.3cm; padding-right:.3cm; text-align:justify; background-color: #EEE;}
.abs {display:none; }
a.toggle {color: RoyalBlue; text-decoration: none;}
a.toggle:hover {text-decoration: underline;}
